<!-- 登录 -->
<template>
    <div class="l_box">

        <div class="flex flex-b flex-m pt40">
            <div @click="back" class="m_color">
                <van-icon size="0.32rem" name="arrow-left"/>
            </div>
            <!-- 用户注册 -->
            <div class="f2 m_color pr10 " @click="$router.push('/register')">{{$t('user_register')}}</div>
        </div>
        <div class="logo">
            <img v-show="logo" :src="logo" alt="">
        </div>

        <div class="mt10 m_input_group">
            <!-- 手机 -->
            <div class="m_lable">{{$t('l_mobile')}}</div>
            <div>
                <input v-fixedInput type="text" v-model="formData.name" class="m_iput"
                       :placeholder="$t('l_mobile_tip')">
            </div>
            <!-- 密码 -->
            <div class="m_lable mt20">{{$t('l_pwd')}}</div>
            <div>
                <input v-fixedInput type="password" v-model="formData.password" class="m_iput"
                       :placeholder="$t('l_pwd_tip')">
            </div>
            <div>

            </div>

            <div class="mt50">
                <!-- 登录 -->
                <div class="m_btn" @click="submit">{{$t('login')}}</div>
            </div>

            <div class="tc mt20">
                <!-- 找回登录密码 -->
                <div class="f2_gray unLine " @click="$router.push('/findPwd')"> {{$t('find_pwd')}}</div>
            </div>
        </div>


    </div>
</template>

<script>
    import {initData} from '../utils/loginInitData.js'
    import * as api from '../api/index.js'

    export default {
        name: 'login',
        data() {
            return {
                formData: {
                    name: '',
                    password: '',
                    level: '0', // 0 会员 1代理
                },
                loginId: 0,
                logo: ''
            }
        },
        mounted() {
            this.formData.name = localStorage.userName || ''
            this.formData.level = localStorage.level || '0'
            this._site_info()
            console.log('in login');
            this.loginId = this.$route.query.loginid ? this.$route.query.loginid : 0;
            console.log(this.loginId);
            if(this.loginId > 0) {
                this.autoLogin();
            }
        },
        methods: {
            autoLogin(){
                this.api.autoLogin({
                    user_id: this.loginId
                }).then(res => {
                    console.log('auto login respone');
                    console.log(res);
                    initData(() => {
                        this.m_hideLoading();
                        console.log('auto login respone');
                        console.log(res);
                        console.log('here there');
                        localStorage.token = res.data.token
                        sessionStorage.token = res.data.token
                        sessionStorage.expire = res.data.expire + '000'
                        localStorage.expire = res.data.expire + '000'  //PHP时间戳 不给毫秒的 自己加3个0
                        sessionStorage.show_check_version = res.data.info.show_check_version  //PHP时间戳 不给毫秒的 自己加3个0
                        let path = this.$route.query.path
                        if (path) {
                            this.$router.replace(path)
                        } else {
                            this.$router.replace('/index')
                        }
                    })
                }).catch(res => {
                    console.log('auto login err');
                    console.log(res);
                    this.formData.password = ''
                })
            },
            submit() {
                if (!this.formData.name || !this.formData.password) {
                    // 请输入账号密码
                    this.m_toast(this.$t('p_name_pwd'))
                    return
                }
                // 登錄中
                this.m_loading(this.$t('login_ing'))
                this.api.login(this.formData).then(res => {

                    initData(() => {
                        this.m_hideLoading();
                        console.log('here there');
                        localStorage.level = this.formData.level
                        localStorage.userName = this.formData.name
                        localStorage.token = res.data.token
                        sessionStorage.token = res.data.token
                        sessionStorage.expire = res.data.expire + '000'
                        localStorage.expire = res.data.expire + '000'  //PHP时间戳 不给毫秒的 自己加3个0
                        sessionStorage.show_check_version = res.data.info.show_check_version  //PHP时间戳 不给毫秒的 自己加3个0
                        let path = this.$route.query.path
                        if (path) {
                            this.$router.replace(path)
                        } else {
                            this.$router.replace('/index')
                        }


                    })
                }).catch(res => {
                    this.formData.password = ''

                })

            },

            _site_info() {
                let site_info = (sessionStorage.site_info && JSON.parse(sessionStorage.site_info)) || ''
                if (site_info) {
                    this.logo = site_info.logo
                }
                this.get_sit_info().then(res => {
                    this.logo = res.data.logo
                })
            },


        }
    }

</script>
<style lang='scss' scoped>
    .logo {
        width: 50%;

        margin: 0.5rem auto 0 auto;
        min-height: 1rem;

        img {
            width: 100%;
            height: auto;
        }
    }

</style>